Bug 22404 - Some labels in subscription add form has wrong parameter "for"
Summary: Some labels in subscription add form has wrong parameter "for"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 15149
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-25 08:39 UTC by Josef Moravec
Modified: 2019-05-27 12:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22404: Fix parameter "for" of labels in subscription add form (2.98 KB, patch)
2019-02-25 08:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22404: Fix parameter "for" of labels in subscription add form (3.18 KB, patch)
2019-02-26 14:26 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 22404: Fix parameter "for" of labels in subscription add form (3.24 KB, patch)
2019-02-28 06:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-02-25 08:39:59 UTC
Attribute "for" of label tag should contain form input id, not name.
Comment 1 Josef Moravec 2019-02-25 08:49:26 UTC
Created attachment 85593 [details] [review]
Bug 22404: Fix parameter "for" of labels in subscription add form

Attribute "for" of tag labelshould contain input id, not name.

Test plan:
1) Go to serials -> add subscription second step
2) Click on labels of these three fields:
    - First issue publication date
    - Subscription start date
    - Subscription end date

--> without patch, nothing happen
--> with path, the datepicker is shown
Comment 2 sandboxes@biblibre.com 2019-02-26 14:26:11 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 sandboxes@biblibre.com 2019-02-26 14:26:34 UTC
Created attachment 85721 [details] [review]
Bug 22404: Fix parameter "for" of labels in subscription add form

Attribute "for" of tag labelshould contain input id, not name.

Test plan:
1) Go to serials -> add subscription second step
2) Click on labels of these three fields:
    - First issue publication date
    - Subscription start date
    - Subscription end date

--> without patch, nothing happen
--> with path, the datepicker is shown

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2019-02-26 14:27:33 UTC
Useful one, thanks Josef !
Comment 5 Katrin Fischer 2019-02-28 06:45:49 UTC
Created attachment 85805 [details] [review]
Bug 22404: Fix parameter "for" of labels in subscription add form

Attribute "for" of tag labelshould contain input id, not name.

Test plan:
1) Go to serials -> add subscription second step
2) Click on labels of these three fields:
    - First issue publication date
    - Subscription start date
    - Subscription end date

--> without patch, nothing happen
--> with path, the datepicker is shown

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-03-04 18:50:54 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-03-05 15:14:01 UTC
Pushed to 18.11.x for 18.11.04
Comment 8 Lucas Gass 2019-03-13 23:32:03 UTC
this is not broken in 18.05 but I assumed having the labels correct named could be helpful in the future.

backported to 18.05.x for 18.05.11